// duz2.h - Klasa duzi.

#ifndef _duz2_h_
#define _duz2_h_

#include "figura4.h"
#include <iostream>
using namespace std;

class Duz: public Figura {
  Vektor A, B;                                 // Vektori polozaja krajeva.
  void pisi(ostream& it) const override { it << A << '-' << B; } // Pisanje.
public:
  Duz(const Vektor& P, const Vektor& Q): A(P), B(Q) {} // Inicijalizacija.
  Duz& operator+=(const Vektor& v) override            // Pomeranje duzi.
    { A += v; B += v; return *this; }
  Duz* kopija() const override { return new Duz(*this); } // Kopija duzi.
};

#endif

