// potrosac1.h - Klasa elektricnih potrosaca.

#ifndef _potrosac1_h_
#define _potrosac1_h_

#include <iostream>
using namespace std;

namespace Potrosaci {
  class Potrosac {
  public:
    virtual ~Potrosac() {}                   // Virtuelan destruktor.
    virtual double snaga() const =0;         // Snaga potrosaca.
    virtual Potrosac* kopija() const =0;     // Kopija potrosaca.
  private:
    virtual void pisi(ostream& it) const =0; // Pisanje potrosaca.
    friend ostream& operator<<(ostream& it, const Potrosac& p)
      { p.pisi(it); return it; }
  }; // class
} // namespace

#endif

